> ## Documentation Index
> Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Property for Timeline Event Type

> Update an existing event type. Note: Changes to an event type may take up to an hour to update across new/existing events.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v1/crm-timeline-v1.json PUT /integrations/v1/{application-id}/timeline/event-types/{event-type-id}/properties
openapi: 3.0.0
info:
  title: CRM Timeline Events API v1
  version: 1.0.0
  description: Legacy CRM Timeline Events API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /integrations/v1/{application-id}/timeline/event-types/{event-type-id}/properties:
    put:
      summary: Update Property for Timeline Event Type
      description: >-
        Update an existing event type. Note: Changes to an event type may take
        up to an hour to update across new/existing events.
      operationId: putintegrationsv1applicationidtimelineeventtypeseventtypeidproperties
      responses:
        '200':
          description: Successful response - Update an existing event type
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update Property for Timeline Event Type - Example 1
                  value:
                    - id: 3
                      name: size
                      propertyType: Enumeration
                      label: Size
                    - id: 3
                      name: size
                      propertyType: Enumeration
                      label: Size
                      options:
                        - value: xlarge
                          label: Extra Large
                        - value: large
                          label: Large
                        - value: medium
                          label: Medium
                        - value: small
                          label: Small

````